ru.bitel.bgbilling.modules.vod.common.bean

## Class SubscriberAccount

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.vod.common.bean.SubscriberAccount

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class SubscriberAccount
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriberAccount()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `java.lang.String` | `getServiceTitle()`
    `int` | `getSubscriberId()`
    `java.math.BigDecimal` | `getSumma()`
    `java.util.Date` | `getTime()`
    `void` | `setContractId(int contractId)`
    `void` | `setServiceTitle(java.lang.String serviceTitle)`
    `void` | `setSubscriberId(int value)`
    `void` | `setSumma(java.math.BigDecimal summa)`
    `void` | `setTime(java.util.Date date)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubscriberAccount

          public SubscriberAccount()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getSubscriberId

          public int getSubscriberId()

    - #### setSubscriberId

          public void setSubscriberId(int value)

    - #### getTime

          public java.util.Date getTime()

    - #### setTime

          public void setTime(java.util.Date date)

    - #### getServiceTitle

          public java.lang.String getServiceTitle()

    - #### setServiceTitle

          public void setServiceTitle(java.lang.String serviceTitle)

    - #### getSumma

          public java.math.BigDecimal getSumma()

    - #### setSumma

          public void setSumma(java.math.BigDecimal summa)